import React, { Component } from 'react';
import PropTypes from 'prop-types';
import Input from 'reactstrap/lib/Input';
import Button from 'reactstrap/lib/Button';
import { FormattedMessage } from 'react-intl';
import CopyToClipboard from 'react-copy-to-clipboard';
import { IconCopy } from '../icons/icon-copy/icon-copy';
import './text-copy-card.scss';

export class TextCopyCard extends Component {
  static propTypes = {
    text: PropTypes.string.isRequired,
  };

  state = {
    copied: false,
  };

  setCopied = () => {
    this.setState({
      copied: true,
    });
  };

  render() {
    const { copied } = this.state;
    const { text } = this.props;
    return (
      <Input type="textarea" plaintext className="mb-2_5 border-0 text-copy-card">
        {text}
        <CopyToClipboard text={text}>
          <Button size="sm" className="text-red-r30 w-100 mt-2 btn-copy bg-white" onClick={this.setCopied}>
            {copied && <IconCopy />}
            {!copied && <FormattedMessage id="wallet.register.seed.copy" />}
            {copied && <span className="ml-1"><FormattedMessage id="wallet.register.seed.copied" /></span>}
          </Button>
        </CopyToClipboard>
      </Input>
    );
  }
}
